MetalInternalFrameUI (Java Platform SE 8 )
Keywords: javax.swing.plaf.metal.MetalInternalFrameUI class
Date: 2015-05-24

javax.swing.plaf.metal

## Class MetalInternalFrameUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.InternalFrameUI
    - - javax.swing.plaf.basic.BasicInternalFrameUI
      - - javax.swing.plaf.metal.MetalInternalFrameUI

-     public class MetalInternalFrameUI
      extends BasicInternalFrameUI

  Metal implementation of JInternalFrame.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicInternalFrameUI

      `BasicInternalFrameUI.BasicInternalFrameListener, BasicInternalFrameUI.BorderListener, BasicInternalFrameUI.ComponentHandler, BasicInternalFrameUI.GlassPaneDispatcher, BasicInternalFrameUI.InternalFrameLayout, BasicInternalFrameUI.InternalFramePropertyChangeListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `IS_PALETTE`

    - ### Fields inherited from class javax.swing.plaf.basic.BasicInternalFrameUI

      `borderListener, componentListener, eastPane, frame, glassPaneDispatcher, internalFrameLayout, northPane, openMenuKey, propertyChangeListener, southPane, titlePane, westPane`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetalInternalFrameUI(JInternalFrame b)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected MouseInputAdapter` | `createBorderListener(JInternalFrame w)` Returns the `MouseInputAdapter` that will be installed on the TitlePane.
    `protected JComponent` | `createNorthPane(JInternalFrame w)`
    `static ComponentUI` | `createUI(JComponent c)`
    `protected void` | `installKeyboardActions()`
    `protected void` | `installListeners()`
    `void` | `installUI(JComponent c)` Configures the specified component appropriately for the look and feel.
    `void` | `setPalette(boolean isPalette)`
    `protected void` | `uninstallComponents()`
    `protected void` | `uninstallKeyboardActions()`
    `protected void` | `uninstallListeners()`
    `void` | `uninstallUI(JComponent c)` Reverses configuration which was done on the specified component during `installUI`.

    - ### Methods inherited from class javax.swing.plaf.basic.BasicInternalFrameUI

      `activateFrame, closeFrame, createComponentListener, createDesktopManager, createEastPane, createGlassPaneDispatcher, createInternalFrameListener, createLayoutManager, createPropertyChangeListener, createSouthPane, createWestPane, deactivateFrame, deiconifyFrame, deinstallMouseHandlers, getDesktopManager, getEastPane, getMaximumSize, getMinimumSize, getNorthPane, getPreferredSize, getSouthPane, getWestPane, iconifyFrame, installComponents, installDefaults, installMouseHandlers, isKeyBindingActive, isKeyBindingRegistered, maximizeFrame, minimizeFrame, replacePane, setEastPane, setKeyBindingActive, setKeyBindingRegistered, setNorthPane, setSouthPane, setupMenuCloseKey, setupMenuOpenKey, setWestPane, uninstallDefaults`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, paint, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IS_PALETTE

          protected static String IS_PALETTE

  - ### Constructor Detail

    - #### MetalInternalFrameUI

          public MetalInternalFrameUI(JInternalFrame b)

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent c)

    - #### installUI

          public void installUI(JComponent c)

      Description copied from class: `ComponentUI`
      Configures the specified component appropriately for the look and feel. This method is invoked when the `ComponentUI` instance is being installed as the UI delegate on the specified component. This method should completely configure the component for the look and feel, including the following:
      1. Install default property values for color, fonts, borders, icons, opacity, etc. on the component. Whenever possible, property values initialized by the client program should not be overridden.
      2. Install a `LayoutManager` on the component if necessary.
      3. Create/add any required sub-components to the component.
      4. Create/install event listeners on the component.
      5. Create/install a `PropertyChangeListener` on the component in order to detect and respond to component property changes appropriately.
      6. Install keyboard UI (mnemonics, traversal, etc.) on the component.
      7. Initialize any appropriate instance data.
      Overrides:
        `installUI` in class `BasicInternalFrameUI`
      Parameters:
        `c` - the component where this UI delegate is being installed
      See Also:
        `ComponentUI.uninstallUI(javax.swing.JComponent)`, `JComponent.setUI(javax.swing.plaf.ComponentUI)`, `JComponent.updateUI()`

    - #### uninstallUI

          public void uninstallUI(JComponent c)

      Description copied from class: `ComponentUI`
      Reverses configuration which was done on the specified component during `installUI`. This method is invoked when this `UIComponent` instance is being removed as the UI delegate for the specified component. This method should undo the configuration performed in `installUI`, being careful to leave the `JComponent` instance in a clean state (no extraneous listeners, look-and-feel-specific property objects, etc.). This should include the following:
      1. Remove any UI-set borders from the component.
      2. Remove any UI-set layout managers on the component.
      3. Remove any UI-added sub-components from the component.
      4. Remove any UI-added event/property listeners from the component.
      5. Remove any UI-installed keyboard UI from the component.
      6. Nullify any allocated instance data objects to allow for GC.
      Overrides:
        `uninstallUI` in class `BasicInternalFrameUI`
      Parameters:
        `c` - the component from which this UI delegate is being removed; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
      See Also:
        `ComponentUI.installUI(javax.swing.JComponent)`, `JComponent.updateUI()`

    - #### installListeners

          protected void installListeners()

      Overrides:
        `installListeners` in class `BasicInternalFrameUI`

    - #### uninstallListeners

          protected void uninstallListeners()

      Overrides:
        `uninstallListeners` in class `BasicInternalFrameUI`

    - #### installKeyboardActions

          protected void installKeyboardActions()

      Overrides:
        `installKeyboardActions` in class `BasicInternalFrameUI`

    - #### uninstallKeyboardActions

          protected void uninstallKeyboardActions()

      Overrides:
        `uninstallKeyboardActions` in class `BasicInternalFrameUI`

    - #### uninstallComponents

          protected void uninstallComponents()

      Overrides:
        `uninstallComponents` in class `BasicInternalFrameUI`

    - #### createNorthPane

          protected JComponent createNorthPane(JInternalFrame w)

      Overrides:
        `createNorthPane` in class `BasicInternalFrameUI`

    - #### setPalette

          public void setPalette(boolean isPalette)

    - #### createBorderListener

          protected MouseInputAdapter createBorderListener(JInternalFrame w)

      Returns the `MouseInputAdapter` that will be installed on the TitlePane.
      Overrides:
        `createBorderListener` in class `BasicInternalFrameUI`
      Parameters:
        `w` - the `JInternalFrame`
      Returns:
        the `MouseInputAdapter` that will be installed on the TitlePane.
      Since:
        1.6

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.